Page MenuHomePhabricator

Some Mobile/Web uploads without or with corrupted information
Closed, ResolvedPublic

Description

From July 19:

https://commons.wikimedia.org/wiki/File:Keilana_portrait.jpeg
https://commons.wikimedia.org/wiki/File:Noratramloroli.jpeg
https://commons.wikimedia.org/wiki/File:Mareecheatham.jpeg (first upload)

These uploads did contain some text in the original page revision, but either no or a corrupted {{information}} template.

From July 21:

https://commons.wikimedia.org/wiki/File:Bagunkaka.jpg

This one came in with a completely empty file description page.


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=70146

Details

Reference
bz68321

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:34 AM
bzimport set Reference to bz68321.
bzimport added a subscriber: Unknown Object (MLST).
Lupo created this task.Jul 21 2014, 2:01 PM

bingle-admin wrote:

Prioritization and scheduling of this bug is tracked on Trello card https://trello.com/c/Gd2wKMfP

According to the edit summary they may have just gone to the file page and not gone through the upload button...

The mobile edit tag is added to any edit coming from a mobile device. In mobile we try to steer users in the correct direction by adding workflows that add appropriate templates etc.. however it seems in this case, the user has found another avenue to upload e.g. Special:Upload maybe? I don't know..

The mobile edit summaries can give a better hint to the source of the upload e.g. via Special:Uploads or lead photo upload.

This issue is one that can occur on desktop too no? How do you deal with these kinds of uploads on desktop?

Lupo added a comment.Jul 21 2014, 4:57 PM

They get marked as "no source"/"no license" and the uploader is notified. After 7 days such files are deleted if the info is not forthcoming, which is usually the case.

However, I think all our desktop uploads channels (wizard, enhanced upload form) simply do not allow uploading files without at lest minimal proper information. All except the old Special:Upload form with the Javascript enhancements switched off. Don't know about external tools.

Well that might be it then - Special:Upload doesn't load JavaScript in mobile.
Sounds like a bug with Special:Upload on desktop too ...

Lupo added a comment.Jul 22 2014, 9:14 AM

(In reply to Jon from comment #6)

Well that might be it then - Special:Upload doesn't load JavaScript in
mobile.
Sounds like a bug with Special:Upload on desktop too ...

On desktop, it does load JS, and in fact we did add JS to catch such cases. But originally, there was no such JS, and there is still a way to use Special:Upload on desktop without any JS verifications.

Lupo added a comment.Jul 22 2014, 9:20 AM

(In reply to Lupo from comment #7)

On desktop, it does load JS, and in fact we did add JS to catch such cases.
But originally, there was no such JS, and there is still a way to use
Special:Upload on desktop without any JS verifications.

In fact, did you ever go to the old upload form https://commons.wikimedia.org/wiki/Special:Upload on desktop? You should see immediately that the form you get (unless you switch off JS) is quite different from the one implemented by SpecialUpload.php! You should get something like https://commons.wikimedia.org/wiki/File:MediaWiki-Upload-form.png . It uses ages-old Javascript, and does quite a few validations (not 100% foolproof, but pretty good).

I asked Keilana to clarify how she uploaded her image. Here's her response:

"@Maryana (WMF): Hi Maryana, I was doing it quickly on my phone, the Commons app decided to crash, and I attempted to use the web form on the desktop site. As you can tell, it didn't work too well. I think what happened was I accidentally clicked "not my own work" instead of "this is my own work". Does that help? Keilana (talk) 20:51, 22 July 2014 (UTC)"

So I think we have two options: we should either hide Special:Uploads entirely, since it's not formatted appropriately for mobile, or redirect it to the mobile web upload workflow. The second option seems like the more sensible one.

Lupo added a comment.Jul 23 2014, 12:15 PM

(In reply to Maryana Pinchuk from comment #9)

I asked Keilana to clarify how she uploaded her image. Here's her response:
"@Maryana (WMF): Hi Maryana, I was doing it quickly on my phone, the Commons
app decided to crash, and I attempted to use the web form on the desktop
site. As you can tell, it didn't work too well. I think what happened was I
accidentally clicked "not my own work" instead of "this is my own work".
Does that help? Keilana (talk) 20:51, 22 July 2014 (UTC)"
So I think we have two options: we should either hide Special:Uploads
entirely, since it's not formatted appropriately for mobile, or redirect it
to the mobile web upload workflow. The second option seems like the more
sensible one.

I presume you mean hide the desktop upload "Special:Upload" (without 's') on mobile, or redirect it to "Special:Uploads" (with 's'; the mobile/web upload process).

Yes, that makes sense.

Lupo added a comment.Jul 23 2014, 12:18 PM

(In reply to Lupo from comment #10)

(In reply to Maryana Pinchuk from comment #9)

I asked Keilana to clarify how she uploaded her image. Here's her response:
"@Maryana (WMF): Hi Maryana, I was doing it quickly on my phone, the Commons
app decided to crash, and I attempted to use the web form on the desktop
site. As you can tell, it didn't work too well. I think what happened was I
accidentally clicked "not my own work" instead of "this is my own work".
Does that help? Keilana (talk) 20:51, 22 July 2014 (UTC)"
So I think we have two options: we should either hide Special:Uploads
entirely, since it's not formatted appropriately for mobile, or redirect it
to the mobile web upload workflow. The second option seems like the more
sensible one.

I presume you mean hide the desktop upload "Special:Upload" (without 's') on
mobile, or redirect it to "Special:Uploads" (with 's'; the mobile/web upload
process).
Yes, that makes sense.

... if you want to allow only uploads of self-taken photos on mobile and manage to restrict the Special:Uploads process to that.

How is a user supposed to upload an old, clearly public domain image, and give source, author, and a "PD-old" license on mobile? Or is such a user not supposed to (be able to) do this at all?

Lupo added a comment.Jul 29 2014, 8:54 AM

Another approach might be to put some simple JavaScript in mobile.js on Commons to

  • Pre-fill the description at Special:Upload with an empty {{information}} template
  • Disable the upload button
  • Enable the upload button only if:
    • A source file is selected, and
    • A target filename is given, and
    • The description is not empty, and
    • A license has been chosen or the description field contains an {{information}} template with a non-empty "permission" field, and
    • If the description contains an {{information}} template, the fields for source, author, and description are not empty.

And make Special:Upload on the mobile site of Commons subject to the "autoconfirmed only" and editcount restrictions.

I presume editors who upload to the Commons through Special:Upload must indeed use commons.m.wikimedia.org/wiki/Special:Upload. (en.m.wikipedia.org/wiki/Special:Upload would upload locally to the English Wikipedia, right?)

Why did we create a separate Special:Uploads instead of replacing Special:Upload? That seems like it was a bad idea.

Temporarily fixed with:
https://commons.wikimedia.org/wiki/MediaWiki:Mobile.js
Until Bug 70146 is fixed.